Tutte le applicazioni di terze parti vanno aggiornate e mantenute in sicurezza con gli eventuali fix rilasciati dalle rispettive case produttrici.
Di seguito riportiamo una lista delle tipologie di applicazioni, note per la loro vulnerabilità, che vengono progressivamente scoperte ed utilizzate da malintenzionati per defacciare o comunque provocare dei danni sui siti che si basano su di esse.

Sistemi cms e portali
(Tutti i *nuke e derivati - phpnuke, postnuke, sfm, invision, aspnuke, wordpress, mambo,
joomla, ecc-)

Guestbook
(web wiz, matt, ecc)

Forums
(phpbb, invision, vbulletin, snitz ecc)

News
(web wiz, moduli per cms, ecc)

Moduli vari per cms
(gallery, chat, avatars, upload ecc)

ATTENZIONE- La lista non è da consideransi completa, poiché in realtà  tutte le applicazioni possono essere considerate vulnerabili.